diff -uNrd ircd-ratbox-1.5-2/src/s_conf.c ircd-rb-FDF6.3a/src/s_conf.c
--- ircd-ratbox-1.5-2/src/s_conf.c	Thu Apr 29 10:47:38 2004
+++ ircd-rb-FDF6.3a/src/s_conf.c	Tue Jun  1 20:20:15 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_conf.c,v 7.416.2.26 2004/04/29 14:47:38 androsyn Exp $
+ *  $Id: s_conf.c,v 1.7 2004/06/02 00:20:15 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -113,6 +113,7 @@
 /* conf xline link list root */
 struct ConfItem *x_conf = ((struct ConfItem *) NULL);
 struct ConfItem *x_temp_conf = NULL;
+struct ConfItem *s_conf = ((struct ConfItem *) NULL);
 
 /* conf uline link list root */
 struct ConfItem *u_conf = ((struct ConfItem *) NULL);
@@ -530,8 +531,6 @@
 			return (NOT_AUTHORISED);
 		}
 
-		if(IsConfDoIdentd(aconf))
-			SetNeedId(client_p);
 		if(IsConfRestricted(aconf))
 			SetRestricted(client_p);
 
@@ -1092,6 +1091,25 @@
 	return (NULL);
 }
 
+int
+IsSLine(const struct Client *client_p)
+{
+	struct ConfItem *aconf;
+
+	for (aconf = s_conf; aconf; aconf = aconf->next)
+	{
+		if(BadPtr(aconf->name))
+			continue;
+
+		if(!irccmp(aconf->name, client_p->name))
+			return (1);
+
+		if((client_p->user != NULL)&&(!irccmp(aconf->name, client_p->user->server)))
+			return (1);
+	}
+
+	return (0);
+}
 
 /*
  * find_u_conf
@@ -1268,10 +1286,9 @@
 	ConfigFileEntry.fname_operlog[0] = '\0';
 	ConfigFileEntry.fname_operspylog[0] = '\0';
 	ConfigFileEntry.fname_operspyremotelog[0] = '\0';
-	ConfigFileEntry.glines = NO;
 	ConfigFileEntry.use_egd = NO;
 	/* don't reset msglocale setting -- we'd overwrite then env string */
-	ConfigFileEntry.gline_time = 12 * 3600;
+	ConfigFileEntry.gline_time = 72 * 3600;
 	ConfigFileEntry.gline_min_cidr = 16;
 	ConfigFileEntry.gline_min_cidr6 = 48;
 	ConfigFileEntry.idletime = 0;
@@ -1312,16 +1329,17 @@
 	ConfigChannel.use_knock = YES;
 	ConfigChannel.knock_delay = 300;
 	ConfigChannel.knock_delay_channel = 60;
-	ConfigChannel.max_chans_per_user = 15;
-	ConfigChannel.max_bans = 100;
+	ConfigChannel.max_chans_per_user = 20;
+	ConfigChannel.max_bans = 50;
 	ConfigChannel.no_oper_resvs = NO;
-	ConfigChannel.burst_topicwho = NO;
 
 	ConfigChannel.default_split_user_count = 0;
 	ConfigChannel.default_split_server_count = 0;
 	ConfigChannel.default_split_delay = 60;
 	ConfigChannel.no_join_on_split = NO;
 	ConfigChannel.no_create_on_split = YES;
+	ConfigChannel.opers_see_hidden = YES;
+	ConfigChannel.opers_see_topic = YES;
 
 	ConfigServerHide.flatten_links = 0;
 	ConfigServerHide.hide_servers = 0;
@@ -1336,7 +1354,15 @@
 	ConfigFileEntry.client_flood = CLIENT_FLOOD_DEFAULT;
 	ConfigFileEntry.use_help = 0;
 	ConfigFileEntry.tkline_expire_notices = 0;
-
+	ConfigFileEntry.check_clone = YES;
+	ConfigFileEntry.check_clone_delay = 90;
+	ConfigFileEntry.check_clone_limit = 5;
+	ConfigFileEntry.check_clone_period = 30;
+	ConfigFileEntry.inu_hack_passwd = NULL;
+	ConfigFileEntry.inu_server_can_op = NO;
+	ConfigFileEntry.inu_ignore_bans = NO;
+	ConfigFileEntry.inu_serv_can_collide = NO;
+	ConfigFileEntry.jb_serv_can_kick = NO;
 #ifdef IPV6
 	ConfigFileEntry.fallback_to_ip6_int = YES;
 #endif
@@ -2075,6 +2101,7 @@
 		MaxUsers(cltmp) = -1;
 
 	clear_out_address_conf();
+	clear_special_conf(&s_conf);
 	clear_special_conf(&x_conf);
 	clear_special_conf(&u_conf);
 	clear_clusters();
@@ -2441,6 +2468,24 @@
 	{
 		add_conf_by_address(aconf->host, CONF_DLINE, NULL, aconf);
 	}
+}
+
+/*
+ * conf_add_s_conf
+ * inputs       - pointer to config item
+ * output       - NONE
+ * side effects - Add a S line
+ */
+void
+conf_add_s_conf(struct ConfItem *aconf)
+{
+	MyFree(aconf->user);
+	aconf->user = NULL;
+	aconf->name = aconf->host;
+	aconf->host = NULL;
+
+	aconf->next = s_conf;
+	s_conf = aconf;
 }
 
 /*
diff -uNrd ircd-ratbox-1.5-2/src/s_debug.c ircd-rb-FDF6.3a/src/s_debug.c
--- ircd-ratbox-1.5-2/src/s_debug.c	Mon Mar 15 13:19:56 2004
+++ ircd-rb-FDF6.3a/src/s_debug.c	Thu Apr  1 15:46:09 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_debug.c,v 7.94.2.4 2004/03/15 18:19:56 leeh Exp $
+ *  $Id: s_debug.c,v 1.1.1.2 2004/04/01 20:46:09 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/src/s_gline.c ircd-rb-FDF6.3a/src/s_gline.c
--- ircd-ratbox-1.5-2/src/s_gline.c	Mon Mar 15 13:19:56 2004
+++ ircd-rb-FDF6.3a/src/s_gline.c	Thu Apr  1 16:20:52 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_gline.c,v 1.37.4.3 2004/03/15 18:19:56 leeh Exp $
+ *  $Id: s_gline.c,v 1.3 2004/04/01 21:20:52 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -163,7 +163,6 @@
 
 		{
 			MyFree(glp_ptr->reason1);
-			MyFree(glp_ptr->reason2);
 			MyFree(glp_ptr);
 			dlinkDestroy(pending_node, &pending_glines);
 		}
diff -uNrd ircd-ratbox-1.5-2/src/s_log.c ircd-rb-FDF6.3a/src/s_log.c
--- ircd-ratbox-1.5-2/src/s_log.c	Sun Apr  4 20:29:46 2004
+++ ircd-rb-FDF6.3a/src/s_log.c	Sat Apr 10 18:44:55 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_log.c,v 7.54.2.3 2004/04/05 00:29:46 leeh Exp $
+ *  $Id: s_log.c,v 1.1.1.3 2004/04/10 22:44:55 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/src/s_misc.c ircd-rb-FDF6.3a/src/s_misc.c
--- ircd-ratbox-1.5-2/src/s_misc.c	Mon Mar 15 13:19:56 2004
+++ ircd-rb-FDF6.3a/src/s_misc.c	Thu Apr  1 15:46:09 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_misc.c,v 7.32.2.2 2004/03/15 18:19:56 leeh Exp $
+ *  $Id: s_misc.c,v 1.1.1.2 2004/04/01 20:46:09 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/src/s_serv.c ircd-rb-FDF6.3a/src/s_serv.c
--- ircd-ratbox-1.5-2/src/s_serv.c	Thu Jun 17 14:01:45 2004
+++ ircd-rb-FDF6.3a/src/s_serv.c	Thu Jun 17 18:21:01 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_serv.c,v 7.333.2.12 2004/06/17 18:01:45 androsyn Exp $
+ *  $Id: s_serv.c,v 1.6 2004/06/17 22:21:01 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -95,6 +95,7 @@
 	{ "UNKLN",	CAP_UNKLN },
 	{ "CLUSTER",	CAP_CLUSTER },
 	{ "ENCAP",	CAP_ENCAP },
+	{ "FDF",	CAP_FDF },
 	{ 0, 		0 }
 };
 
diff -uNrd ircd-ratbox-1.5-2/src/s_stats.c ircd-rb-FDF6.3a/src/s_stats.c
--- ircd-ratbox-1.5-2/src/s_stats.c	Mon Mar 15 13:19:56 2004
+++ ircd-rb-FDF6.3a/src/s_stats.c	Thu Apr  1 15:46:09 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_stats.c,v 7.27.2.2 2004/03/15 18:19:56 leeh Exp $
+ *  $Id: s_stats.c,v 1.1.1.2 2004/04/01 20:46:09 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/src/s_user.c ircd-rb-FDF6.3a/src/s_user.c
--- ircd-ratbox-1.5-2/src/s_user.c	Wed Jun  2 22:32:16 2004
+++ ircd-rb-FDF6.3a/src/s_user.c	Sun Jun  6 01:13:40 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_user.c,v 7.266.2.17 2004/06/03 02:32:16 androsyn Exp $
+ *  $Id: s_user.c,v 1.5 2004/06/06 05:13:40 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -247,6 +247,82 @@
 	return;
 }
 
+ /*
+  *  check_clones
+  *    This function counts the number of clients with the
+  *    same host as cptr that connected less than CHECK_CLONE_PERIOD
+  *    seconds ago.
+  *  return value
+  *    -1: reject connections
+  *     0: permit connections
+  *  -SeKs -record
+  */
+static int check_clones(struct Client *client_p, struct ConfItem *aconf)
+{
+	struct abacklog {
+		time_t last;
+		char host[HOSTLEN];
+		int count;
+		struct abacklog *next;
+	};
+
+	static struct abacklog *backlog = NULL;
+	register struct abacklog **blscn = &backlog, *blptr;
+
+	/* Find the host we're interested in. While we're at it, we'll
+	 * clean out expired elements from the list.                    */
+
+	while ((*blscn != NULL) && (strcmp(client_p->host, (*blscn)->host))) {
+		if ((*blscn)->last + ConfigFileEntry.check_clone_period < CurrentTime) {
+			/* expired; remove */
+			if ((*blscn)->count == -1)
+				sendto_realops_flags(UMODE_ALL, L_ALL, "Removing throttle for %s.",
+						     (*blscn)->host);
+			blptr = *blscn;
+			*blscn = blptr->next;
+			MyFree((char *)blptr);
+		} else
+			blscn = &(*blscn)->next;
+	}
+
+	if (*blscn) {
+		/* There is a record for this host */
+		if (!((*blscn)->last + ConfigFileEntry.check_clone_period < CurrentTime)) {
+			/* not expired */
+			(*blscn)->last = CurrentTime;
+			if ((*blscn)->count == -1)
+				return (-1);
+			else {
+				(*blscn)->count++;
+				if (((*blscn)->count == ConfigFileEntry.check_clone_limit) &&
+				    (!MyConnect(client_p) || !IsConfExemptLimits(aconf))) {
+					sendto_realops_flags(UMODE_ALL, L_ALL,
+							     "Throttling connections from %s.", (*blscn)->host);
+				(*blscn)->count = -1;
+				return (-1);
+				} else
+					return (0);
+			}
+		} else {
+			/* expired */
+			if ((*blscn)->count == -1)
+				sendto_realops_flags(UMODE_ALL, L_ALL, "Removing throttle for %s.",
+						     (*blscn)->host);
+			(*blscn)->last = CurrentTime;
+			(*blscn)->count = 1;
+			return (0);
+		}
+	} else {
+		/* no record for host; make one */
+		blptr = (struct abacklog *)MyMalloc(sizeof(struct abacklog));
+		strncpy(blptr->host, client_p->host, HOSTLEN);
+		blptr->next = backlog;
+		blptr->last = CurrentTime;
+		blptr->count = 1;
+		backlog = blptr;
+		return (0);
+	}
+}
 
 /*
 ** register_local_user
@@ -461,6 +537,17 @@
 	if(IsDead(client_p))
 		return CLIENT_EXITED;
 
+	if (ConfigFileEntry.check_clone)
+	{
+		if (check_clones(source_p, aconf) == -1 &&
+		    me.since + ConfigFileEntry.check_clone_delay < CurrentTime)
+		{
+			ServerStats->is_ref++;
+			return exit_client(client_p, source_p, &me,
+					   "Too many connections from your host -- throttled");
+		}
+	}
+
 	inetntop(source_p->localClient->aftype, &IN_ADDR(source_p->localClient->ip),
 		 ipaddr, HOSTIPLEN);
 	sendto_realops_flags(UMODE_CCONN, L_ALL,
@@ -568,6 +655,11 @@
 		return exit_client(source_p, source_p, &me, "USER server wrong direction");
 
 	}
+
+	if (ConfigFileEntry.check_clone)
+		if (!IsSLine(source_p))
+			check_clones(source_p, NULL);
+
 	/*
 	 * Super GhostDetect:
 	 * If we can't find the server the user is supposed to be on,
@@ -907,7 +999,7 @@
 	 * put them back using new sendto() funcs
 	 */
 
-	if(IsServer(source_p))
+	if(IsServer(source_p) && !IsSLine(source_p))
 	{
 		sendto_realops_flags(UMODE_ALL, L_ADMIN, "*** Mode for User %s from %s",
 				     parv[1], source_p->name);
diff -uNrd ircd-ratbox-1.5-2/src/scache.c ircd-rb-FDF6.3a/src/scache.c
--- ircd-ratbox-1.5-2/src/scache.c	Mon Mar 15 13:19:56 2004
+++ ircd-rb-FDF6.3a/src/scache.c	Thu Apr  1 15:46:09 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: scache.c,v 7.22.2.2 2004/03/15 18:19:56 leeh Exp $
+ *  $Id: scache.c,v 1.1.1.2 2004/04/01 20:46:09 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/src/send.c ircd-rb-FDF6.3a/src/send.c
--- ircd-ratbox-1.5-2/src/send.c	Sun Apr  4 20:29:46 2004
+++ ircd-rb-FDF6.3a/src/send.c	Sat Apr 10 18:52:32 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: send.c,v 7.246.2.12 2004/04/05 00:29:46 leeh Exp $
+ *  $Id: send.c,v 1.5 2004/04/10 22:52:32 jailbird Exp $
  */
 
 #include "stdinc.h"
@@ -59,55 +59,6 @@
 unsigned long current_serial = 0L;
 
 /*
- * send_trim
- *
- * inputs	- pointer to buffer to trim
- *		- length of buffer
- * output	- new length of buffer if modified otherwise original len
- * side effects	- input buffer is trimmed if needed
- */
-static inline int
-send_trim(char *lsendbuf, int len)
-{
-	/*
-	 * from rfc1459
-	 *
-	 * IRC messages are always lines of characters terminated with a CR-LF
-	 * (Carriage Return - Line Feed) pair, and these messages shall not
-	 * exceed 512 characters in length,  counting all characters 
-	 * including the trailing CR-LF.
-	 * Thus, there are 510 characters maximum allowed
-	 * for the command and its parameters.  There is no provision for
-	 * continuation message lines.  See section 7 for more details about
-	 * current implementations.
-	 */
-
-	/*
-	 * We have to get a \r\n\0 onto sendbuf[] somehow to satisfy
-	 * the rfc. We must assume sendbuf[] is defined to be 513
-	 * bytes - a maximum of 510 characters, the CR-LF pair, and
-	 * a trailing \0, as stated in the rfc. Now, if len is greater
-	 * than the third-to-last slot in the buffer, an overflow will
-	 * occur if we try to add three more bytes, if it has not
-	 * already occured. In that case, simply set the last three
-	 * bytes of the buffer to \r\n\0. Otherwise, we're ok. My goal
-	 * is to get some sort of vsnprintf() function operational
-	 * for this routine, so we never again have a possibility
-	 * of an overflow.
-	 * -wnder
-	 */
-
-	if(len > 510)
-	{
-		lsendbuf[IRCD_BUFSIZE - 2] = '\r';
-		lsendbuf[IRCD_BUFSIZE - 1] = '\n';
-		lsendbuf[IRCD_BUFSIZE] = '\0';
-		return (IRCD_BUFSIZE);
-	}
-	return len;
-}
-
-/*
  * send_format
  *
  * inputs	- buffer to format into
@@ -376,6 +327,9 @@
 {
 	va_list args;
 	buf_head_t linebuf;
+
+	if (pattern == NULL)
+		return;
 
 	if(IsDead(to))
 		return;		/* This socket has already been marked as dead */
diff -uNrd ircd-ratbox-1.5-2/src/snprintf.c ircd-rb-FDF6.3a/src/snprintf.c
--- ircd-ratbox-1.5-2/src/snprintf.c	Mon Mar 15 13:19:57 2004
+++ ircd-rb-FDF6.3a/src/snprintf.c	Thu Apr  1 15:46:09 2004
@@ -23,7 +23,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: snprintf.c,v 1.10.4.2 2004/03/15 18:19:57 leeh Exp $
+ *  $Id: snprintf.c,v 1.1.1.2 2004/04/01 20:46:09 jailbird Exp $
  */
 
 /**************************************************************
diff -uNrd ircd-ratbox-1.5-2/src/sprintf_irc.c ircd-rb-FDF6.3a/src/sprintf_irc.c
--- ircd-ratbox-1.5-2/src/sprintf_irc.c	Mon Mar 15 13:19:57 2004
+++ ircd-rb-FDF6.3a/src/sprintf_irc.c	Thu Apr  1 15:46:09 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: sprintf_irc.c,v 7.22.4.2 2004/03/15 18:19:57 leeh Exp $
+ *  $Id: sprintf_irc.c,v 1.1.1.2 2004/04/01 20:46:09 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/src/tools.c ircd-rb-FDF6.3a/src/tools.c
--- ircd-ratbox-1.5-2/src/tools.c	Wed May 19 19:19:32 2004
+++ ircd-rb-FDF6.3a/src/tools.c	Mon May 31 00:02:28 2004
@@ -20,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: tools.c,v 7.38.2.5 2004/05/19 23:19:32 leeh Exp $
+ *  $Id: tools.c,v 1.3 2004/05/31 04:02:28 jailbird Exp $
  *
  *  Here is the original header:
  *
diff -uNrd ircd-ratbox-1.5-2/src/version.c.SH ircd-rb-FDF6.3a/src/version.c.SH
--- ircd-ratbox-1.5-2/src/version.c.SH	Sun Jul  6 11:01:03 2003
+++ ircd-rb-FDF6.3a/src/version.c.SH	Mon Jan 19 22:26:04 2004
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: version.c.SH,v 7.25.4.2 2003/07/06 15:01:03 leeh Exp $ 
+# $Id: version.c.SH,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $ 
 
 spitshell=cat
 package=IRC
diff -uNrd ircd-ratbox-1.5-2/src/version.com ircd-rb-FDF6.3a/src/version.com
--- ircd-ratbox-1.5-2/src/version.com	Thu Jun 26 10:03:21 2003
+++ ircd-rb-FDF6.3a/src/version.com	Mon Jan 19 22:26:04 2004
@@ -1,5 +1,5 @@
 $!
-$! $Id: version.com,v 7.5.2.1 2003/06/26 14:03:21 androsyn Exp $
+$! $Id: version.com,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 $! VERSION.COM
 $! Written By:  Robert Alan Byer
 $!              byer@mail.ourservers.net
diff -uNrd ircd-ratbox-1.5-2/src/whowas.c ircd-rb-FDF6.3a/src/whowas.c
--- ircd-ratbox-1.5-2/src/whowas.c	Mon Mar 15 13:19:57 2004
+++ ircd-rb-FDF6.3a/src/whowas.c	Thu Apr  1 15:46:10 2004
@@ -21,7 +21,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: whowas.c,v 7.27.2.2 2004/03/15 18:19:57 leeh Exp $
+ *  $Id: whowas.c,v 1.1.1.2 2004/04/01 20:46:10 jailbird Exp $
  */
 
 #include "stdinc.h"
diff -uNrd ircd-ratbox-1.5-2/tools/.cvsignore ircd-rb-FDF6.3a/tools/.cvsignore
--- ircd-ratbox-1.5-2/tools/.cvsignore	Wed Apr 10 16:17:38 2002
+++ ircd-rb-FDF6.3a/tools/.cvsignore	Mon Feb  9 17:22:57 2004
@@ -1,8 +1,7 @@
 Makefile
-mkpasswd
-viconf
 convertconf
-fixklines
+convertilines
 convertklines
 encspeed
-convertilines
\ No newline at end of file
+mkpasswd
+viconf
diff -uNrd ircd-ratbox-1.5-2/tools/README ircd-rb-FDF6.3a/tools/README
--- ircd-ratbox-1.5-2/tools/README	Tue Apr 30 08:45:01 2002
+++ ircd-rb-FDF6.3a/tools/README	Mon Jan 19 22:26:04 2004
@@ -1,4 +1,4 @@
-$Id: README,v 7.10 2002/04/30 12:45:01 leeh Exp $
+$Id: README,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 
 A directory of support programs for ircd.
 
diff -uNrd ircd-ratbox-1.5-2/tools/README.mkpasswd ircd-rb-FDF6.3a/tools/README.mkpasswd
--- ircd-ratbox-1.5-2/tools/README.mkpasswd	Sun Oct 20 12:54:25 2002
+++ ircd-rb-FDF6.3a/tools/README.mkpasswd	Mon Jan 19 22:26:04 2004
@@ -1,5 +1,5 @@
 mkpasswd.c documentation
-$Id: README.mkpasswd,v 1.6 2002/10/20 16:54:25 leeh Exp $
+$Id: README.mkpasswd,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 
 This is documentation for the updated mkpasswd.c included with a number
 of ircd, irc services, and non-IRC related programs
diff -uNrd ircd-ratbox-1.5-2/tools/convertconf.c ircd-rb-FDF6.3a/tools/convertconf.c
--- ircd-ratbox-1.5-2/tools/convertconf.c	Fri Aug  8 14:42:19 2003
+++ ircd-rb-FDF6.3a/tools/convertconf.c	Sun Jan 25 22:49:30 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: convertconf.c,v 1.41.6.2 2003/08/08 18:42:19 androsyn Exp $
+ * $Id: convertconf.c,v 1.2 2004/01/26 03:49:30 jailbird Exp $
  */
 
 #include <stdio.h>
@@ -479,6 +479,14 @@
         } 
      if(passwd_field)
 	fprintf(out,"\treason=\"%s\";\n", passwd_field);
+      fprintf(out,"};\n\n");
+      break;
+
+    case 'S': /* service */
+    case 's': 
+      fprintf(out,"service {\n");
+      if(host_field)
+	fprintf(out,"\tname=\"%s\";\n", host_field);
       fprintf(out,"};\n\n");
       break;
 
diff -uNrd ircd-ratbox-1.5-2/tools/convertilines.c ircd-rb-FDF6.3a/tools/convertilines.c
--- ircd-ratbox-1.5-2/tools/convertilines.c	Thu Jun 26 10:03:55 2003
+++ ircd-rb-FDF6.3a/tools/convertilines.c	Mon Jan 19 22:26:04 2004
@@ -25,7 +25,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: convertilines.c,v 7.5.6.1 2003/06/26 14:03:55 androsyn Exp $
+ * $Id: convertilines.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-ratbox-1.5-2/tools/convertklines.c ircd-rb-FDF6.3a/tools/convertklines.c
--- ircd-ratbox-1.5-2/tools/convertklines.c	Thu Jun 26 10:03:55 2003
+++ ircd-rb-FDF6.3a/tools/convertklines.c	Mon Jan 19 22:26:04 2004
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: convertklines.c,v 7.7.6.1 2003/06/26 14:03:55 androsyn Exp $
+ * $Id: convertklines.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-ratbox-1.5-2/tools/descrip.mms ircd-rb-FDF6.3a/tools/descrip.mms
--- ircd-ratbox-1.5-2/tools/descrip.mms	Thu Jun 26 10:03:55 2003
+++ ircd-rb-FDF6.3a/tools/descrip.mms	Mon Jan 19 22:26:04 2004
@@ -1,6 +1,6 @@
 # MMS/MMK Makefile for OpenVMS
 # Copyright (c) 2001 Edward Brocklesby
-# $Id: descrip.mms,v 7.6.2.1 2003/06/26 14:03:55 androsyn Exp $
+# $Id: descrip.mms,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 
 CC=	CC
 CFLAGS=	/STANDARD=ISOC94
diff -uNrd ircd-ratbox-1.5-2/tools/encspeed.c ircd-rb-FDF6.3a/tools/encspeed.c
--- ircd-ratbox-1.5-2/tools/encspeed.c	Thu Jun 26 10:03:55 2003
+++ ircd-rb-FDF6.3a/tools/encspeed.c	Mon Jan 19 22:26:04 2004
@@ -2,7 +2,7 @@
  * encspeed.c - originally written by einride
  *            - modified for ircd-hybrid-7 by davidt
  *
- * $Id: encspeed.c,v 7.7.2.1 2003/06/26 14:03:55 androsyn Exp $
+ * $Id: encspeed.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
  */
 
 #include "../include/setup.h"
diff -uNrd ircd-ratbox-1.5-2/tools/mkpasswd.c ircd-rb-FDF6.3a/tools/mkpasswd.c
--- ircd-ratbox-1.5-2/tools/mkpasswd.c	Tue Oct 22 16:02:33 2002
+++ ircd-rb-FDF6.3a/tools/mkpasswd.c	Mon Jan 19 22:26:04 2004
@@ -9,7 +9,7 @@
 ** /dev/random for salt generation added by 
 ** Aaron Sethman <androsyn@ratbox.org>
 **
-** $Id: mkpasswd.c,v 7.13 2002/10/22 20:02:33 androsyn Exp $
+** $Id: mkpasswd.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 */
 #include <stdio.h>
 #include <string.h>
diff -uNrd ircd-ratbox-1.5-2/tools/mkpasswd_vms.c ircd-rb-FDF6.3a/tools/mkpasswd_vms.c
--- ircd-ratbox-1.5-2/tools/mkpasswd_vms.c	Sun Oct 20 12:54:25 2002
+++ ircd-rb-FDF6.3a/tools/mkpasswd_vms.c	Mon Jan 19 22:26:04 2004
@@ -9,7 +9,7 @@
 ** VMS support by Edward Brocklesby, crypt.c implementation
 ** phk@login.dknet.dk
 **
-** $Id: mkpasswd_vms.c,v 7.1 2002/10/20 16:54:25 leeh Exp $
+** $Id: mkpasswd_vms.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 */
 #include <stdio.h>
 #include <string.h>
diff -uNrd ircd-ratbox-1.5-2/tools/rsa_respond/Makefile ircd-rb-FDF6.3a/tools/rsa_respond/Makefile
--- ircd-ratbox-1.5-2/tools/rsa_respond/Makefile	Thu Oct 25 01:21:13 2001
+++ ircd-rb-FDF6.3a/tools/rsa_respond/Makefile	Mon Jan 19 22:26:04 2004
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.7 2001/10/25 05:21:13 wcampbel Exp $
+# $Id: Makefile,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
 
 all: respond
 
diff -uNrd ircd-ratbox-1.5-2/tools/rsa_respond/README ircd-rb-FDF6.3a/tools/rsa_respond/README
--- ircd-ratbox-1.5-2/tools/rsa_respond/README	Thu Oct 25 01:21:13 2001
+++ ircd-rb-FDF6.3a/tools/rsa_respond/README	Mon Jan 19 22:26:04 2004
@@ -28,4 +28,4 @@
 genkey and respond compile properly, and have been tested on FreeBSD 4.x,
 Linux glibc, and Cygwin 1.2 or higher.
 
-# $Id: README,v 1.6 2001/10/25 05:21:13 wcampbel Exp $
+# $Id: README,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
diff -uNrd ircd-ratbox-1.5-2/tools/rsa_respond/challenge.irc ircd-rb-FDF6.3a/tools/rsa_respond/challenge.irc
--- ircd-ratbox-1.5-2/tools/rsa_respond/challenge.irc	Mon Mar 15 15:17:26 2004
+++ ircd-rb-FDF6.3a/tools/rsa_respond/challenge.irc	Thu Apr  1 15:46:10 2004
@@ -1,5 +1,5 @@
 /******************************************************************************\
-$Id: challenge.irc,v 1.1.2.2 2004/03/15 20:17:26 androsyn Exp $
+$Id: challenge.irc,v 1.1.1.2 2004/04/01 20:46:10 jailbird Exp $
 
 	CHALLENGE.IRC
 
diff -uNrd ircd-ratbox-1.5-2/tools/rsa_respond/challenge.pl ircd-rb-FDF6.3a/tools/rsa_respond/challenge.pl
--- ircd-ratbox-1.5-2/tools/rsa_respond/challenge.pl	Wed Mar 24 20:19:03 2004
+++ ircd-rb-FDF6.3a/tools/rsa_respond/challenge.pl	Thu Apr  1 15:46:10 2004
@@ -1,5 +1,5 @@
 #!/usr/local/bin/perl -w
-# $Id: challenge.pl,v 1.1.2.1 2004/03/25 01:19:03 androsyn Exp $
+# $Id: challenge.pl,v 1.1.1.1 2004/04/01 20:46:10 jailbird Exp $
 #
 use strict;
 use vars qw($VERSION %IRSSI);
diff -uNrd ircd-ratbox-1.5-2/tools/rsa_respond/respond.c ircd-rb-FDF6.3a/tools/rsa_respond/respond.c
--- ircd-ratbox-1.5-2/tools/rsa_respond/respond.c	Wed Oct 24 01:26:07 2001
+++ ircd-rb-FDF6.3a/tools/rsa_respond/respond.c	Mon Jan 19 22:26:04 2004
@@ -17,7 +17,7 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
- *  $Id: respond.c,v 1.6 2001/10/24 05:26:07 androsyn Exp $
+ *  $Id: respond.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
  */
 #include <stdio.h>
 #include <openssl/err.h>
diff -uNrd ircd-ratbox-1.5-2/tools/viconf.c ircd-rb-FDF6.3a/tools/viconf.c
--- ircd-ratbox-1.5-2/tools/viconf.c	Thu Jun 26 10:03:55 2003
+++ ircd-rb-FDF6.3a/tools/viconf.c	Mon Jan 19 22:26:04 2004
@@ -1,7 +1,7 @@
 /*
  * viconf.c
  *
- * $Id: viconf.c,v 7.6.6.1 2003/06/26 14:03:55 androsyn Exp $
+ * $Id: viconf.c,v 1.1.1.1 2004/01/20 03:26:04 jailbird Exp $
  */
 #include <stdio.h>
 #include <unistd.h>
